みんなの「教えて(疑問・質問)」にみんなで「答える」Q&Aコミュニティ

こんにちはゲストさん。会員登録(無料)して質問・回答してみよう!

締切り済みの質問

Apache HTTP Server 2.2.4が起動しない

PHPを独学しようと、PHPとApacheを自宅のマシン(WindowsXP Home edition)にインストールしてみました。

Apache HTTP Server 2.2.4をインストール後、Apacheを「start」で起動させようとしたら、下記の表示が出てApacheが起動しません。

httpd.exe: Syntax error on line 495 of C:/[Apacheのインストールディレクトリ]/conf/httpd.conf: Cannot load C:/[PHP5のインストールディレクトリ]/phpapache2.dll into server: \x8ew\x92\xe8(以下暫く羅列が続く)

httpd.confの495行目の記述は「LoadModule php5_module "C:/[PHP5のインストールディレクトリ]/php5apache2.dll"」と、phpapache2.dllへパスが通っていると考えているのですが、初心者ゆえ戸惑っています。

全く初心者な質問だと思いますが、解決へお力添えを頂けたらと思います。宜しくお願い致します。

投稿日時 - 2007-06-25 19:55:28

QNo.3115216

暇なときに回答ください

このQ&Aは役に立ちましたか?

0人が「このQ&Aが役に立った」と投票しています

回答(2)

ANo.2

Windows版のPHPがApache2.2に対応したのは最近です
PHPのバージョンが古いのではないでしょうか
Apache2.0を使うかPHPを最新のバージョンにしてみてください

投稿日時 - 2007-06-26 06:26:50

ANo.1

Apache2.2ならphp5apache2_2.dllになります

投稿日時 - 2007-06-25 20:35:56

補足

有難うございます。
PHPの基礎を教わった人に「php5apache2_2.dllである」という事は聞いていたので、httpd.confの495行目をそう書き換えてもみたのですが「Cannot load php5apache2_2.dll」となるだけです。
「実際にPHP5のフォルダに入っているDLLファイルの名がphp5apache2.dllである」という事もあり、躓いています。

投稿日時 - 2007-06-25 20:57:09

あなたにオススメの質問